Bug 127701 - New port: audio/firefly
Summary: New port: audio/firefly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-28 19:10 UTC by mark
Modified: 2008-10-19 17:00 UTC (History)
0 users

See Also:


Attachments
firefly.shar (11.04 KB, text/plain)
2008-09-28 19:10 UTC, mark
no flags Details
firefly.shar (11.00 KB, application/x-shar)
2008-10-12 01:49 UTC, mark
no flags Details
firefly.shar (11.00 KB, application/x-shar)
2008-10-12 02:03 UTC, mark
no flags Details
firefly.shar (11.33 KB, application/x-shar)
2008-10-12 18:40 UTC, mark
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mark 2008-09-28 19:10:02 UTC
This is a new port of firefly media server. It is mostly similar to
audio/mt-daapd but include some transcoding functionality not available with
mt-daapd and also some interoperability fixes. It conflicts with mt-daapd
though, because upstream has not changed the name of the binary or 
config files.
Comment 1 Martin Wilke freebsd_committer 2008-09-28 19:12:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-09-30 13:30:14 UTC
State Changed
From-To: open->feedback

Hi Mark, 

I think this port need a bit rework, 

- rc.ds scripts use here hardcode PATH, - a lot whitespace - CATEGORIES 
left blank. set it to "misc" if nothing seems apropriate.  - either 
PORTVERSION or DISTVERSION must be specified - Syntax error: 
Unterminated quoted string - WARN: Makefile: COMMENT should begin with a 
capital, and end without a period 

You should check this port with portlint -AC Please look at the Porters 
Handbook for instructions.  Please followup this pr with a new shar. 

Thanks.
Comment 3 Martin Wilke freebsd_committer 2008-10-11 17:26:00 UTC
State Changed
From-To: feedback->closed

feedback timeout.
Comment 4 Martin Wilke freebsd_committer 2008-10-11 18:00:06 UTC
State Changed
From-To: closed->open

reopen.
Comment 5 mark 2008-10-12 01:49:36 UTC
I have attached an updated firefly.shar file
This one is clean according to portlint and portlint -AC
As for the CATEGORIES and PORTVERSION those were both (also) in the
original shar so I don't see the problem.
As for the rc.d file (files/mt-daapd.in) I have updated it to use the
variables.
Thanks.

Comment 6 mark 2008-10-12 02:03:37 UTC
I have attached an updated firefly.shar file
This one is clean according to portlint and portlint -AC
As for the CATEGORIES and PORTVERSION those were both (also) in the
original shar so I don't see the problem.
As for the rc.d file (files/mt-daapd.in) I have updated it to use the
variables.
Thanks.


Comment 7 Martin Wilke freebsd_committer 2008-10-12 11:17:06 UTC
State Changed
From-To: open->feedback


Build failed, 

http://i386.miwibox.org/index.php?action=describe_port&id=1225 

Could you please take a look?
Comment 8 mark 2008-10-12 18:40:38 UTC
Added audio/flac to BUILD_DEPENDS, hopefully that is all was needed.
Other minor adjustments also.
new .shar attached.
Comment 9 Martin Wilke freebsd_committer 2008-10-19 16:59:03 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 10 dfilter service freebsd_committer 2008-10-19 16:59:29 UTC
miwi        2008-10-19 15:59:16 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/firefly        Makefile distinfo pkg-descr pkg-plist pl 
    audio/firefly/files  mt-daapd.in patch-mt-daapd.conf.templ 
                         pkg-deinstall.in pkg-install.in 
  Log:
  Firefly (mt-daapd) is an open-source media server for the Roku SoundBridge
  and Apple iTunes. It runs on POSIX platforms as well as Win32. It supports
  server-side transcoding and other advanced features.
  
  WWW: http://www.fireflymediaserver.org/
  
  PR:             ports/127701
  Submitted by:   Mark Foster <mark at foster.cc>
  
  Revision  Changes    Path
  1.991     +1 -0      ports/audio/Makefile
  1.1       +87 -0     ports/audio/firefly/Makefile (new)
  1.1       +3 -0      ports/audio/firefly/distinfo (new)
  1.1       +19 -0     ports/audio/firefly/files/mt-daapd.in (new)
  1.1       +40 -0     ports/audio/firefly/files/patch-mt-daapd.conf.templ (new)
  1.1       +28 -0     ports/audio/firefly/files/pkg-deinstall.in (new)
  1.1       +33 -0     ports/audio/firefly/files/pkg-install.in (new)
  1.1       +5 -0      ports/audio/firefly/pkg-descr (new)
  1.1       +80 -0     ports/audio/firefly/pkg-plist (new)
  1.1       +74 -0     ports/audio/firefly/pl (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"